Bug 950487 - AttributeError: 'NoneType' object has no attribute 'format'
Summary: AttributeError: 'NoneType' object has no attribute 'format'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:15bbfa754e022b214e24f8376ce...
Depends On:
Blocks: F19Beta, F19BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-04-10 10:29 UTC by Jakub Dorňák
Modified: 2016-12-01 00:57 UTC (History)
15 users (show)

Fixed In Version: anaconda-19.25-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-13 17:27:11 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (716.86 KB, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: anaconda.log (13.57 KB, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: backtrace (774 bytes, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: environ (841 bytes, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: ifcfg.log (318 bytes, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: lsblk_output (936 bytes, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: nmcli_dev_list (3.23 KB, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: packaging.log (458.38 KB, text/plain)
2013-04-10 10:29 UTC, Jakub Dorňák
no flags Details
File: program.log (14.91 KB, text/plain)
2013-04-10 10:30 UTC, Jakub Dorňák
no flags Details
File: storage.log (51.66 KB, text/plain)
2013-04-10 10:30 UTC, Jakub Dorňák
no flags Details
File: syslog (62.03 KB, text/plain)
2013-04-10 10:30 UTC, Jakub Dorňák
no flags Details

Description Jakub Dorňák 2013-04-10 10:29:17 UTC
Description of problem:
storage dialog -> hit ESC -> dashboard -> network dialog -> hit ESC (does not work) -> hit done -> storage dialog
The following was filed automatically by anaconda:
anaconda 19.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1583, in check
    parts = self.stage1_disk.format.partedDisk.partitions
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 297, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'format'

Version-Release number of selected component:
anaconda-19.17-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   method=http://download.eng.brq.redhat.com/pub/fedora/fedora-alt/stage/19-Alpha-RC2/Fedora/x86_64/os/
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc4.git0.1.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 297, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1583, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'NoneType' object has no attribute 'format'

Potential duplicate: bug 891365

Comment 1 Jakub Dorňák 2013-04-10 10:29:24 UTC
Created attachment 733612 [details]
File: anaconda-tb

Comment 2 Jakub Dorňák 2013-04-10 10:29:34 UTC
Created attachment 733613 [details]
File: anaconda.log

Comment 3 Jakub Dorňák 2013-04-10 10:29:37 UTC
Created attachment 733614 [details]
File: backtrace

Comment 4 Jakub Dorňák 2013-04-10 10:29:39 UTC
Created attachment 733615 [details]
File: environ

Comment 5 Jakub Dorňák 2013-04-10 10:29:41 UTC
Created attachment 733616 [details]
File: ifcfg.log

Comment 6 Jakub Dorňák 2013-04-10 10:29:44 UTC
Created attachment 733617 [details]
File: lsblk_output

Comment 7 Jakub Dorňák 2013-04-10 10:29:46 UTC
Created attachment 733618 [details]
File: nmcli_dev_list

Comment 8 Jakub Dorňák 2013-04-10 10:29:51 UTC
Created attachment 733619 [details]
File: packaging.log

Comment 9 Jakub Dorňák 2013-04-10 10:30:00 UTC
Created attachment 733620 [details]
File: program.log

Comment 10 Jakub Dorňák 2013-04-10 10:30:03 UTC
Created attachment 733621 [details]
File: storage.log

Comment 11 Jakub Dorňák 2013-04-10 10:30:07 UTC
Created attachment 733622 [details]
File: syslog

Comment 12 Jakub Dorňák 2013-04-22 11:29:01 UTC
Description of problem:
using former ext4 filesystem on raw device as crypted root

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   method=http://download.eng.brq.redhat.com/pub/fedora/fedora-alt/stage/19-Alpha-RC4/Fedora/x86_64/os/
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 297, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1585, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'LUKS' object has no attribute 'partedDisk'

Comment 13 Reartes Guillermo 2013-05-02 16:02:07 UTC
Description of problem:
i reached the main hub with no disk selected.
more later. (sometimes abrt has some problem and i don't want to type here only to have to do it again).

Version-Release number of selected component:
anaconda-19.23-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC2\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc8.git0.2.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC2

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 302, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1585, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'NoneType' object has no attribute 'format'

Comment 14 Reartes Guillermo 2013-05-02 16:07:16 UTC
For comment #13:

1. Reach the Main Hub, leave defaults at the Welcome Screen
2. Set Keyboard Distribution: Spanish (most likely optional)
3. Enter Software Selection, select KDE Plasma Workspaces (no-addons).
4. Enter Storage: Installation Destination, after Software Selection finished resolving dependencies. 
5. Select disk: vda and vdb click done
6. Leave default partition scheme (lvm) and click 'reclaim space'
7. For disk vda select 'delete' to all vda partitions (vda1,2,3), now select 'preserve' to bring it back
8. In the Main Hub, the storage configuration is accepted. Let's change it.
9. Enter Storage: Installation Destination (Again)
10. Deselect vda and vdb and click 'done'
11. Anaconda returns to the Main Hub with no disks selected and crashes.

Comment 15 Robert Lightfoot 2013-05-05 03:37:16 UTC
Description of problem:
Boot Fedora-19-Beta-TC3 Installer.

Enter the Destination Spoke and select a disk to install to.

ReEnter the Destination Spoke and un-select a disk to install to.

Get this crash.

Version-Release number of selected component:
anaconda-19.24-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC3\x20i386 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 298, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib/python2.7/site-packages/pyanaconda/bootloader.py", line 1582, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'NoneType' object has no attribute 'format'

Comment 16 Robert Lightfoot 2013-05-05 03:40:43 UTC
Proposing as Beta Blocker because Custom Partitioning must work for Beta Criteria

Comment 17 Adam Williamson 2013-05-05 16:58:13 UTC
This doesn't appear to have anything to do with custom partitioning.

Comment 18 Robert Lightfoot 2013-05-05 21:24:15 UTC
The test case says use the partitioning screen to create a disk layout.  If however, you enter the screen twice is when this bug appears.  So using the custom screen more than once results in this bug.  I don't think it should matter how many times you change the layout, it should not error and use the last choice.  Hence why I logged this against custom partition.  I am open if there is a better place to address the issue.

Comment 19 Adam Williamson 2013-05-05 23:17:11 UTC
Bob: that screen is not the partitioning screen. It's the disk selection screen.

Comment 20 Leslie Satenstein 2013-05-06 14:35:47 UTC
Description of problem:
4 disks /sda to /sdd.
Requested full install to /sdd. I exited back to main panel, but did not recall seeing where boot would be. I reselected /sdd and saw previous settings so I exited to main panel and lockup occurred. After a while, the timeout allowed me to report his problem

Version-Release number of selected component:
anaconda-19.24-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC3\x20x86_64 rd.live.check quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 298, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1582, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'NoneType' object has no attribute 'format'

Comment 21 Adam Williamson 2013-05-06 16:22:31 UTC
Discussed at 2013-05-06 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-06/f19beta-blocker-review-3.2013-05-06-16.02.log.txt . Accepted as a blocker under https://fedoraproject.org/wiki/Fedora_19_Alpha_Release_Criteria#Installation_interfaces : "When using the dedicated installer images, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces.", in the case where you enter the disk selection screen twice (a very common operation, as the number of dupes shows).

Comment 22 Adam Williamson 2013-05-07 17:19:00 UTC
Description of problem:
Oh jeez, this was complex. Started with a GPT-formatted disk with one empty partition. Used custom partitioning, intentionally did not create a BIOS boot partition. Hub displayed an error. Went back to Installation Destination and chose 'Reclaim Space', completed flow, hub still showed an error (I'm filing that bug now). Went back to Installation Destination once more, it now said I had sufficient space for a Fedora install, so I said OK, and the hub now showed no errors. Went back to Installation Destination once more, de-selected the disk, click OK. Hub now warned that no disks were selected. Went back to Installation Destination one more time, and the error happened. Simple!

Version-Release number of selected component:
anaconda-19.24-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC3\x20x86_64 quiet slub_debug=- BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 298, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1526, in sanityCheck
    if not self.bootloader.check():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1582, in check
    parts = self.stage1_disk.format.partedDisk.partitions
AttributeError: 'NoneType' object has no attribute 'format'

Comment 23 Fedora Update System 2013-05-10 00:51:38 UTC
anaconda-19.25-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.25-1.fc19

Comment 24 Fedora Update System 2013-05-10 15:29:47 UTC
Package anaconda-19.25-1.fc19, python-blivet-0.13-1.fc19, pykickstart-1.99.30-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.25-1.fc19 python-blivet-0.13-1.fc19 pykickstart-1.99.30-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7834/python-blivet-0.13-1.fc19,pykickstart-1.99.30-1.fc19,anaconda-19.25-1.fc19
then log in and leave karma (feedback).

Comment 25 Adam Williamson 2013-05-13 17:27:11 UTC
Tested with TC4, confirmed fixed. 19.25 went stable already, so closing.


Note You need to log in before you can comment on or make changes to this bug.